% kernel_valid:
%
% Test whether the choice of kernel function can be used with our software.

function kernel_testvalid(covfunc)

if ~iscell(covfunc) || ...
   length(covfunc) ~= 2 || length(covfunc{2}) ~= 2 || ...
   strcmp(covfunc{1}, 'covSum') ~= 1 || ...
   strcmp(covfunc{2}(1), 'covSEiso') ~= 1 || strcmp(covfunc{2}(2), 'covNoise') ~= 1
   error('COV:TODO', 'Software implemented only for the covSum = covSEiso + covNoise covariance so far');
end

